点击查看详细介绍

给定一个面,获得这个面所有的键槽面(包含了自身的)

nxopen 1年前 466 10

UG NX 二次开发 技术交流 qq群:641226372      UG二次开发(C、C#、WPF)


//给定一个面,获得这个面所有的键槽面(包含了自身的)
void HuFuns::HuModl::GetKeywayFaces(tag_t faceTag, vector<tag_t> &vKeywayFaces)
{
    int ruleType[1] = { UF_SC_FACE_SLOT_FACES };
    UF_SC_input_data_t rules[1];
    UF_MODL_init_sc_input_data(ruleType[0], &rules[0]);

    rules[0].face_slot_faces_input.seed = faceTag;
    rules[0].face_slot_faces_input.n_negated_entities = 0;

    int errorCode = 0;
    rules[0].face_slot_faces_input.negated_entities = (tag_t *)UF_allocate_memory(1 * sizeof(tag_t), &errorCode);
    rules[0].face_slot_faces_input.negated_entities[0] = NULL_TAG;

    rules[0].face_slot_faces_input.includeBoundaryBlends = false;
    rules[0].face_slot_faces_input.traverseInteriorLoops = false;

    tag_t containerTag;
    UF_MODL_create_smart_wireframe_container(faceTag, 1, ruleType, rules, &containerTag);

●●●请先 登陆注册 后查看●●●

    //释放内存
    for (int inx = 0; inx < ruleTypeCnt; inx++)
    {
        UF_MODL_free_sc_input_data(outRuleType[inx], &outRules[inx]);
    }
    UF_free(outRuleType);
    UF_free(objArr);

    //释放内存
    UF_free(rules[0].face_slot_faces_input.negated_entities);

}


1

最新回复 (10)
  • jimk 1年前
    1

    学习一下,谢谢分享.....

  • 熊武强 VIP会员 1年前
    2

    学习一下,谢谢分享.....

  • hedg VIP会员 1年前
    3

    学习一下,谢谢分享

  • joe_wang VIP会员 1年前
    4

    学习一下,谢谢分享

  • 天道139 VIP会员 1年前
    5

    学习一下,谢谢分享

  • king_chinese VIP会员 1年前
    6

    学习一下,谢谢分享...

  • myla_li 1年前
    7

    学习一下,谢谢分享,,

  • zhang1991 VIP会员 1年前
    8

    学习一下,谢谢分享....

  • waqa1314 VIP会员 3月前
    9

    学习一下,谢谢分享.....

  • ug_open_ 1月前
    10

    学习一下,谢谢分享...

请登录后发表新帖